package main

import (
	"flag"
	"github.com/gorilla/sessions"
	"log"
	"net/http"
)

var addr = flag.String("addr", ":8000", "address I'll listen on.")
var static_files = flag.String("static", "./static", "location of static files")

var store = sessions.NewCookieStore([]byte("hello world"))

func main() {
	flag.Parse()
	http.Handle("/",
		http.FileServer(http.Dir(*static_files)))
	if err := http.ListenAndServe(*addr, nil); err != nil {
		log.Fatal("ListenAndServe:", err)
	}
}
